/*
 * FCKeditor - The text editor for Internet - http://www.fckeditor.net
 * Copyright (C) 2003-2008 Frederico Caldeira Knabben
 * 
 * == BEGIN LICENSE ==
 * 
 * Licensed under the terms of any of the following licenses at your
 * choice:
 * 
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 * 
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 * 
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 * 
 * == END LICENSE ==
 */
package net.fckeditor.handlers;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * PropertiesHandler.java - TODO DOCUMENTME!
 * 
 * @version $Id: PropertiesLoader.java 1585 2008-02-21 18:13:09Z th-schwarz $
 */
public class PropertiesLoader {
	private static final Logger logger = LoggerFactory.getLogger(PropertiesLoader.class);
	private static Properties properties = new Properties();

	static {
		try {
			// 1. load system defaults
			properties.load(new BufferedInputStream(PropertiesLoader.class
			        .getResourceAsStream("default.properties")));

			// 2. load user defaults
			InputStream in = PropertiesLoader.class.getResourceAsStream("/fckeditor.properties");
			if (in == null)
				logger.warn("Can't find user properties!");
			else {
				try {
					properties.load(new BufferedInputStream(in));
					logger.info("User's properties successfull loaded!");
				} catch (IOException e) {
					logger.error("Error while loading user properties!", e);
					throw new RuntimeException("Can't load user properties!", e);
				}
			}
		} catch (IOException e) {
			logger.error("Error while loading default properties!", e);
			throw new RuntimeException("Can't load default properties!", e);
		}
	}

	public static String getProperty(final String key) {
		return properties.getProperty(key);
	}
}
